#include "zibutil.h"
#include "tc.h"

static int Decomp() { return true; }
static int Assemble() { return true; }
static int Release() { return true; }
static int Solve()
  {
	int rc, saveMinSteps = actItor->minSteps,
	    saveMaxSteps = actItor->maxSteps;
	real saveEps = actItor->eps;

	actItor->minSteps  = 1;
	actItor->maxSteps = 200;
	actItor->eps = 1.0e-20;
	rc = (solveState->Iterate)(actItor);
	actItor->eps = saveEps; 
	actItor->minSteps  = saveMinSteps;
	actItor->maxSteps = saveMaxSteps;

	return rc;
  }

int DefDirIte()
{
   return DefDirMethod("iterate","none",
	                sparse,true,true,Decomp,Solve,
		            (int(*)())nil, Assemble,(int(*)())nil,
                    (int(*)(enum printMode))nil,Release);
}
